Bug 1389675 - Experimental translators and 4.0 features need to be disabled for release-3.9
Summary: Experimental translators and 4.0 features need to be disabled for release-3.9
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 3.9
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Kaushal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: glusterfs-3.9.0
TreeView+ depends on / blocked
 
Reported: 2016-10-28 08:13 UTC by Kaushal
Modified: 2017-03-08 12:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 12:35:31 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaushal 2016-10-28 08:13:57 UTC
Experimental and 4.0 features like jbr, dht2 have made it into the release-3.9 branch when it was branched.

These features are being built by default right now, but shouldn't be.

3.9.0 cannot be shipped with these, even if they remain unused.

Comment 1 Worker Ant 2016-10-28 08:52:27 UTC
REVIEW: http://review.gluster.org/15748 (build,libglusterfs,glusterd: Disable experimental by default) posted (#1) for review on release-3.9 by Kaushal M (kaushal@redhat.com)

Comment 2 Worker Ant 2016-10-28 10:33:33 UTC
REVIEW: http://review.gluster.org/15750 (Remove experimental translators) posted (#1) for review on release-3.9 by Kaushal M (kaushal@redhat.com)

Comment 3 Worker Ant 2016-10-28 13:01:15 UTC
REVIEW: http://review.gluster.org/15750 (Remove experimental translators) posted (#2) for review on release-3.9 by Kaushal M (kaushal@redhat.com)

Comment 4 Worker Ant 2016-10-31 04:35:45 UTC
REVIEW: http://review.gluster.org/15750 (Remove experimental translators) posted (#3) for review on release-3.9 by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 5 Worker Ant 2016-11-14 05:27:07 UTC
COMMIT: http://review.gluster.org/15750 committed in release-3.9 by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 82b29e0de686b7bd9f36ddf49376fc07f0c42125
Author: Kaushal M <kaushal@redhat.com>
Date:   Fri Oct 28 15:55:55 2016 +0530

    Remove experimental translators
    
    Change-Id: Id645918fa236f1fc00ab5fa427f394e853c44bf8
    BUG: 1389675
    Signed-off-by: Kaushal M <kaushal@redhat.com>
    Reviewed-on: http://review.gluster.org/15750
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Comment 6 Kaushal 2017-03-08 12:35:31 UTC
This bug is getting closed because GlusterFS-3.9 has reached its end-of-life [1].

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please open a new bug against the newer release.

[1]: https://www.gluster.org/community/release-schedule/


Note You need to log in before you can comment on or make changes to this bug.